# $Revision: 1.125 $, $Date: 2011/08/31 17:49:58 $
%define	ver		6.2
%define	patchlevel	1
Summary:	Library for reading lines from a terminal
Summary(de.UTF-8):	Library zum Lesen von Zeilen von einem Terminal
Summary(es.UTF-8):	Biblioteca para lectura de líneas de un terminal
Summary(fr.UTF-8):	Bibliothéque pour lire des lignes depuis un terminal
Summary(ja.UTF-8):	readline ライブラリ
Summary(ko.UTF-8):	터미널에서 한줄씩 읽을때 사용하는 라이브러리
Summary(pl.UTF-8):	Biblioteki do czytania linii z terminala
Summary(pt_BR.UTF-8):	Biblioteca para leitura de linhas de um terminal
Summary(ru.UTF-8):	Библиотека для чтения строк с терминала
Summary(tr.UTF-8):	Terminalden satır okumak için kullanılan bir kitaplık
Summary(uk.UTF-8):	Бібліотека для читання стрічок з терміналу
Name:		readline
Version:	%{ver}%{?patchlevel:.%{patchlevel}}
Release:	2
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/readline/%{name}-%{ver}.tar.gz
# Source0-md5:	67948acb2ca081f23359d0256e9a271c
Source1:	%{name}-sys_inputrc
Patch0:		%{name}-shared.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-header.patch
Patch3:		%{name}-lfs.patch
Patch4:		%{name}-tinfo.patch
%{?patchlevel:%patchset_source -f http://ftp.gnu.org/gnu/readline/readline-6.2-patches/readline62-%03g 1 %{patchlevel}}
URL:		http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	texinfo
Requires(post,postun):	/sbin/ldconfig
# libtinfow.so.* must be on /
Requires:	ncurses >= 5.7-18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "readline" library will read a line from the terminal and return
it, allowing the user to edit the line with the standard emacs editing
keys. It allows the programmer to give the user an easier-to-use and
more intuitive interface.

%description -l de.UTF-8
Die "readline"-Library liest eine Zeile von einem Terminal ein, und
gibt sie zurück, so daß ein User die Zeile mit den normalen
emacs-Editiertasten ändern kann. Sie erlaubt einem Programmierer, dem
User ein einfacher zu benutzendes und intuitiveres Interface zu
schreiben.

%description -l es.UTF-8
La biblioteca "readline" leerá una línea del terminal y la recuperará,
permitiendo al usuario editar la línea con las teclas de edición
padrón emacs. Permite al programador dar al usuario una interface más
fácil de usar y más intuitiva.

%description -l ja.UTF-8
"readline" ライブラリを用いると、端末から読みこんだ一行を、emacs
の標準キー
と同キーバインディングで編集できるようになります。これをプログラム中で使うと、
より使いやすいインタフェースをユーザに提供できます。

%description -l pl.UTF-8
Biblioteka "readline" czyta linię z terminala i zwraca ją, pozwalając
użytkownikowi modyfikować ją za pomocą standardowych klawiszy
edycyjnych emacsa. Pozwala programiście dać użytkownikowi łatwy do
użycia i bardziej intuicyjny interfejs.

%description -l pt_BR.UTF-8
A biblioteca "readline" lerá uma linha do terminal e irá retorná-la,
permitindo ao usuário editar a linha com as teclas de edição padrão
emacs. Ele permite ao programador dar ao usuário uma interface mais
fácil de usar e mais intuitiva.

%description -l ru.UTF-8
Библиотека "readline" читает строку с терминала и возвращает ее,
позволяя пользователю редактировать строку при помощи стандартных
клавиш emacs. Позволяет программисту предоставить пользователю более
простой и интуитивный интерфейс. Правильно работает с locale.

%description -l uk.UTF-8
Бібліотека "readline" читає стрічку з термінала і повертає її,
дозволяючи користувачу редагувати стрічку за допомогою стандартних
клавіш emacs. Дозволяє програмісту забезпечити більш простий та
інтуітивний інтерфейс користувача. Правильно працює з locale.

%package devel
Summary:	file for developing programs that use the readline library
Summary(de.UTF-8):	Datei zum Entwickeln von Programmen mit der readline-Library
Summary(es.UTF-8):	Archivo para desarrollar programas que utilicen la biblioteca para lectura de líneas
Summary(fr.UTF-8):	Fichier pour développer des programmes utilisant la readline
Summary(ja.UTF-8):	readline ライブラリを使うプログラムための開発用ライブラリ
Summary(ko.UTF-8):	readline 라이브러리를 사용하는 프로그램을 만들때 사용하는 파일들
Summary(pl.UTF-8):	Pakiet dla programistów używających bibliotek readline
Summary(pt_BR.UTF-8):	Arquivo para desenvolver programas que utilizam a readline
Summary(ru.UTF-8):	Файлы, необходимые для разработки программ, использующих библиотеку readline
Summary(tr.UTF-8):	readline kitaplığını kullanan programlar yazmak için gerekli dosyalar
Summary(uk.UTF-8):	Файли, необхідні для розробки програм, що використовують бібліотеку readline
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ncurses-devel >= 5.0

%description devel
The "readline" library will read a line from the terminal and return
it, using prompt as a prompt. If prompt is null, no prompt is issued.
The line returned is allocated with malloc(3), so the caller must free
it when finished. The line returned has the final newline removed, so
only the text of the line remains.

%description devel -l de.UTF-8
Die "readline"-Library liest eine Zeile vom Terminal ein und gibt sie
zurück. Die zurückgegebene Zeile hat kein newline am Ende, so daß nur
der Text der Zeile bleibt.

%description devel -l es.UTF-8
La biblioteca readline leerá una línea del terminal y la recuperará,
usando prompt como prompt. Si prompt es nulo, ningún prompt se enseña.
La línea recuperada es alocada con malloc(3), debiendo el llamador
liberarla cuando terminar. La línea recuperada tiene el salto de línea
final quitado, de esta forma solamente el texto de la línea se pone a
disposición.

%description devel -l ja.UTF-8
"readline"
ライブラリは端末から一行読むと、プロンプトとともにそれを返し
ます。返り値となる行は malloc で割り当てられ、終了時にはそのメモリは
開放しないといけません。

%description devel -l pl.UTF-8
Biblioteka "readline" czyta linię z terminala i zwracają ją, używając
znaku zachęty (prompt) jako podpowiedzi. Jeżeli prompt jest zerem, nie
jest wyświetlany. Linia zwracana jest allokowana przez malloc(3).

%description devel -l pt_BR.UTF-8
A biblioteca readline lerá uma linha do terminal e a retornará, usando
prompt como prompt. Se prompt é nulo, nenhum prompt é mostrado. A
linha retornada é alocada com malloc(3), devendo o chamador liberá-la
quando terminar. A linha retornada tem o salto de linha final
removido, desta forma somente o texto da linha é disponibilizado.

%description devel -l ru.UTF-8
Библиотека "readline" читает строку с терминала и возвращает ее,
предваряя заданным системным приглашением (prompt). Если эта подсказка
представляет собой пустую строку, на экран не выдается никакой
подсказки. Возвращаемая строка занимает память, выделенную функцией
malloc(3), поэтому вызывающая программа должна освободить эту память
до своего завершения. Возвращаемая строка не содержит заключительного
перевода строки, т.е. возвращается только текст строки.

%description devel -l uk.UTF-8
Бібліотека "readline" читає стрічку з термінала і повертає її,
добавляючи на початку задане системне запрошення (prompt). Якщо це
запрошення являє собою порожню стрічку, ніякої підказки на екран не
видається. Стрічка, що повертається бібліотекою, займає пам'ять,
виділену функцією malloc(3), так що програма має звільнити цю пам'ять
до свого завершення. Стрічка НЕ містить заключного переводу стрічки,
т.ч. повертається тільки текст стрічки.

%package static
Summary:	Static readline library
Summary(es.UTF-8):	Static libraries for readline development
Summary(pl.UTF-8):	Biblioteka statyczna readline
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com a readline
Summary(ru.UTF-8):	Статические библиотеки readline
Summary(uk.UTF-8):	Статичні бібліотеки readline
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of readline library.

%description static -l es.UTF-8
Static libraries for readline development.

%description static -l pl.UTF-8
Pakiet ten zawiera wersję statyczną biblioteki readline.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com readline.

%description static -l ru.UTF-8
Это статические библиотеки readline.

%description static -l uk.UTF-8
Це статичні бібліотеки readline.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1

%build
cp -f /usr/share/automake/config.sub support
mv -f aclocal.m4 acinclude.m4
%{__aclocal}
%{__autoconf}
%configure \
	--with-curses

%{__make} static shared

rm -f doc/*.info
%{__make} -C doc info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib}}

%{__make} install install-shared \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/inputrc

rm -f $RPM_BUILD_ROOT%{_libdir}/*old

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}

ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libreadline.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libreadline.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libhistory.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libhistory.so

# help rpm to find deps
chmod +x $RPM_BUILD_ROOT/%{_lib}/lib*.so*

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/inputrc
%attr(755,root,root) /%{_lib}/libhistory.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libhistory.so.6
%attr(755,root,root) /%{_lib}/libreadline.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libreadline.so.6
%{_infodir}/history.info*
%{_infodir}/readline.info*
%{_infodir}/rluserman.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhistory.so
%attr(755,root,root) %{_libdir}/libreadline.so
%{_includedir}/readline
%{_mandir}/man3/history.3*
%{_mandir}/man3/readline.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhistory.a
%{_libdir}/libreadline.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: readline.spec,v $
Revision 1.125  2011/08/31 17:49:58  arekm
- release 2

Revision 1.124  2011/06/25 13:29:42  arekm
- up to 6.2.1

Revision 1.123  2011/02/16 19:37:58  arekm
- patchlevel in macro

Revision 1.122  2011/02/16 19:20:52  arekm
- up to 6.2

Revision 1.121  2011/02/04 23:40:56  sparky
- %description <name> for correct %package

Revision 1.120  2010/04/28 06:39:17  arekm
- up to patchlevel 2

Revision 1.119  2010/02/19 12:05:48  arekm
- up to 6.1.1

Revision 1.118  2010/01/02 08:24:16  arekm
- up to 6.1

Revision 1.117  2009/11/19 13:48:27  baggins
- rel 3
- R ncurses with libtinfow on /

Revision 1.116  2009/11/10 08:43:51  arekm
- rel 2; link with wide version of tinfo

Revision 1.115  2009/10/25 06:50:50  qboosh
- ghost soname symlinks
- more verbose files

Revision 1.114  2009/07/31 20:48:58  arekm
- better versioning - 6.0.4

Revision 1.113  2009/07/31 20:44:45  arekm
- up to 6.0.004

Revision 1.112  2009/03/26 06:11:10  qboosh
- License is GPL v3(+) now

Revision 1.111  2009/02/23 21:29:24  arekm
- up to 6.0

Revision 1.110  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.109  2007-09-05 14:23:21  baggins
- rel 2

Revision 1.108  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.107  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.106  2007/02/11 18:35:37  ankry
- readded fixed ko summary

Revision 1.105  2007/02/11 15:32:59  arekm
- ko summary dropped since broken

Revision 1.104  2006/10/29 17:38:38  glen
- check-files cleanup

Revision 1.103  2006/10/28 22:45:40  qboosh
- updated to 5.2
- updated ac25x patch, removed obsolete sys_inputrc,terminal,wrap,-001 patches
- NOTE: now /etc/inputrc is read only if ~/.inputrc doesn't exist

Revision 1.102  2006/09/08 18:03:40  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.101  2006/01/01 23:58:13  qrczak
- A patch from upstream:
  A problem with the readline callback interface can result in segmentation
  faults when using the delete-char function via a multiple-key sequence.
  Two consecutive calls to delete-char will crash the application calling
  readline.
- Release 2.

Revision 1.100  2005/12/08 18:19:19  arekm
- up to 5.1

Revision 1.99  2005/12/04 23:17:15  glen
- adapterized (sorted %verify flags)

Revision 1.98  2005/09/20 10:27:47  arekm
- rel 5; fixes two segfaults

Revision 1.97  2005/09/19 13:27:30  arekm
- proper ver

Revision 1.96  2005/09/19 11:56:29  arekm
- merged missing pieces from AC-branch

Revision 1.95  2005/04/07 19:47:47  paszczus
- added URL: http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html

Revision 1.94  2004/12/19 13:23:40  radek
- release 4: added -lfs.patch

Revision 1.93  2004/11/18 19:18:13  pluto
- glob fixed.

Revision 1.92  2004/11/18 18:46:24  qboosh
- apply 5 official patches for 5.0, release 3

Revision 1.91  2004/10/29 22:05:28  qboosh
- pl fix

Revision 1.90  2004/10/13 11:02:26  mmazur
- rel 2 for th

Revision 1.89  2004/08/07 12:23:14  qboosh
- release 1 (but not for Ac yet, I think - because of soname change)

Revision 1.88  2004/08/05 19:08:59  qboosh
- removed obsolete readline43 patches
- fixed .so links (lib sonames have changed!)

Revision 1.87  2004/08/04 23:32:09  qboosh
- started update to 5.0, updated all patches; builds, not tested yet

Revision 1.86  2004/03/11 12:45:14  qboosh
- chmod +x to help rpm to find lib*.so deps, strict deps, release 11

Revision 1.85  2004/01/10 18:01:20  jajcus
- Release: 10
- refresh config.sub (for amd64)

Revision 1.84  2004/01/02 17:56:32  jajcus
- Release: 9 (STBR after AMD64 fixes)

Revision 1.83  2003/12/18 21:45:33  jajcus
- s,/lib/,/%{_lib}/,

Revision 1.82  2003/08/25 10:19:20  mmazur
- rel 8 for ac

Revision 1.81  2003/07/10 11:19:43  qboosh
- added patches 003-005 (multibyte-related, incl. SEGV fixes)
- release 7

Revision 1.80  2003/06/16 18:06:31  blues
- translations from MIZI

Revision 1.79  2003/06/13 23:05:00  mwinkler
- added BR: texinfo (makeinfo)

Revision 1.78  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.77  2003/05/25 06:26:16  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.76  2003/01/07 10:57:53  qboosh
- applied two official patches, removed obsolete segv patch; release 6

Revision 1.75  2002/12/31 10:23:53  qboosh
- added official patches to review (not applied yet)

Revision 1.74  2002/12/23 02:57:35  radek
- Source0 =~ s/prep.ai.mit.edu/ftp.gnu.org/ (,,connection refused'')

Revision 1.73  2002/10/25 11:59:27  qboosh
- added Requires(post,postun)

Revision 1.72  2002/10/25 11:57:52  qboosh
- use absolute symlinks between directories; release 5

Revision 1.71  2002/10/09 08:28:01  qboosh
- BR: automake

Revision 1.70  2002/07/30 22:06:12  qboosh
- added segv patch with fix for stack overflow
- release 4 - please test

Revision 1.69  2002/07/28 16:13:52  qboosh
- cleanup in terminal and shared patches, so patched versions are closer to
  original
- fixed .so symlink in -devel (define sonameversion=4.3)
- release 3

Revision 1.68  2002/07/28 14:26:09  kloczek
- updated to 4.3 (releas 2),
- added ac25x patch,
- removed utdated guard patch.

Revision 1.67  2002/05/21 23:14:37  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.66  2002/05/12 08:10:54  kloczek
- release 5: merge translations from KSI, Conectiva and Kondara.

Revision 1.65  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.64  2002/02/18 12:57:34  gotar
- removed Prereq: /sbin/ldconfig (allready require glibs).

Revision 1.63  2002/02/02 20:36:57  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.62  2002/02/01 14:54:33  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.61  2002/01/18 02:14:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.60  2001/12/28 17:15:57  gotar
- changes in descriptions.

Revision 1.59  2001/12/17 13:07:00  misiek
- release 4
- s/sonemversion/sonameversion/

Revision 1.58  2001/12/15 08:22:21  gotar
- s/sonemversion/sonameversion/,
- fixed removing *old files,
- release 3.

Revision 1.57  2001/11/26 01:05:33  kloczek
- release 2,
- remove %{_libdir}/*old,
- s/mainversion/sonameversion/.

Revision 1.56  2001/11/25 21:10:54  mkierus
- fixed mistaken links in devel pkg

Revision 1.55  2001/11/20 21:02:31  kloczek
- updated to 4.2a,
- removed obsoleted patches (DESTDIR, ac250).

Revision 1.54  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.53  2001/08/30 12:18:49  gotar
- awful %configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.52  2001/08/04 13:52:50  qboosh
- fixed "removing redundant macros"
- one more fix in info patch
- important ac250 (252?) fix (dropped library version)
- release 7

Revision 1.51  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.49  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.48  2001/07/02 03:46:43  kloczek
- release 6.

Revision 1.47  2001/06/30 14:08:35  gotar
- fixed descriptions,
- added %verify flags for %{_sysconfdir}/inputrc file,
- added using %{__*} macros.

Revision 1.46  2001/06/24 20:13:11  qboosh
- release 5: readline-devel really Requires: ncurses-devel

Revision 1.45  2001/06/17 18:31:16  misiek
- added header patch (fix includes in C++ soft)

Revision 1.44  2001/05/03 13:56:24  kloczek
- release 4: removed resize patch (it causes strange blinking).

Revision 1.43  2001/04/26 02:13:22  kloczek
- release 3: merge resize MDK patch.

Revision 1.42  2001/04/13 18:30:12  kloczek
- release 2: added ncurses-devel to Requires list for devel subpackage.

Revision 1.41  2001/04/11 17:06:18  wiget
- start upg. to 4.2

Revision 1.40  2000/12/05 16:35:28  wiget
- fix %post/%postun scripts

Revision 1.39  2000/10/06 09:57:50  kloczek
- release 6: use new rpm automation suit.

Revision 1.38  2000/07/13 23:21:05  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.37  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.36  2000/06/09 07:23:58  kloczek
- added using %{__make} macro.

Revision 1.35  2000/05/11 01:40:26  kloczek
- adapterized.

Revision 1.34  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/%post is executed only when info is already
  installed

Revision 1.33  2000/04/12 04:55:53  kloczek
- release 2,
- added guard patch from Taneli Huuskonen <huuskone@cc.helsinki.fi> (patch
  fron rawhide).

Revision 1.32  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.31  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.30  2000/03/23 07:28:52  kloczek
- updated to 4.1,
- updated Source url.

Revision 1.29  2000/01/15 16:16:36  kloczek
- release 12,
- fix for rebuilding info pages during %build,
- adapter(ized).

Revision 1.28  1999/11/16 16:57:48  kloczek
- release 11,
- build against ncurses 5.0.

Revision 1.27  1999/10/03 17:22:02  kloczek
- release 10.

Revision 1.26  1999/09/13 16:59:55  kloczek
- release 9,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries
  format.

Revision 1.25  1999/07/23 19:31:24  kloczek
- release 8,
- fixed terminal patch.

Revision 1.24  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.23  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).
